- Main Page
- Modules
- Namespaces
- Classes
- Files

# error.h File Reference

`#include <glibmm.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
## Classes
class | Gst::CoreError
| The GStreamer core GError type. More...
class | Gst::LibraryError
| The GStreamer library GError type. More...
class | Gst::ResourceError
| The GStreamer resource GError type. More...
class | Gst::StreamError
| The GStreamer stream GError type. More...
## Functions
Glib::QueryQuark | Gst::get_core_error_quark ()
| Get error domain for core system.
Glib::QueryQuark | Gst::get_library_error_quark ()
| Get error domain for library loading.
Glib::QueryQuark | Gst::get_resource_error_quark ()
| Get error domain for resource handling.
Glib::QueryQuark | Gst::get_stream_error_quark ()
| Get error domain for media stream processing.